import java.util.Date
import java.text.SimpleDateFormat
plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.jetbrains.kotlin.android)
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
    kotlin("kapt")
}

val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.sunny.app.soft.timberkeyboardnew"
    compileSdk = 34

    defaultConfig {
        //com.sunny.tools.app.soft
        applicationId = "com.sunny.tools.app.soft.test"
        minSdk = 23
        targetSdk = 34
        versionCode = 5
        versionName = "1.0.4"
        setProperty("archivesBaseName", "Custom Keyboard_V" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }

    buildFeatures {

        viewBinding = true
    }
}

dependencies {

    implementation(libs.androidx.core.ktx)
//    implementation(libs.androidx.appcompat)
    implementation(libs.material)
    implementation(libs.androidx.activity)
    implementation(libs.androidx.constraintlayout)
    testImplementation(libs.junit)
    androidTestImplementation(libs.androidx.junit)
    androidTestImplementation(libs.androidx.espresso.core)

    implementation("com.geyifeng.immersionbar:immersionbar:3.2.2")
    implementation("com.geyifeng.immersionbar:immersionbar-ktx:3.2.2")

    implementation ("com.google.code.gson:gson:2.10.1")
    implementation ("com.github.bumptech.glide:glide:4.16.0")
    annotationProcessor ("com.github.bumptech.glide:compiler:4.16.0")

    val room_version = "2.6.1"
    implementation ("androidx.room:room-runtime:$room_version")
    kapt("androidx.room:room-compiler:$room_version")


    implementation(platform("com.google.firebase:firebase-bom:32.3.1"))
    implementation("com.google.firebase:firebase-analytics-ktx")
    implementation("com.google.firebase:firebase-crashlytics-ktx")



    //-----------------------------TopOn 聚合（mintegral、unityads、liftoff(vungle)、Bigo）
    //Anythink (Necessary)
    implementation("com.anythink.sdk:core-tpn:6.3.68")
    implementation("com.anythink.sdk:nativead-tpn:6.3.68")
    implementation("com.anythink.sdk:banner-tpn:6.3.68")
    implementation("com.anythink.sdk:interstitial-tpn:6.3.68")
    implementation("com.anythink.sdk:rewardedvideo-tpn:6.3.68")
    implementation("com.anythink.sdk:splash-tpn:6.3.68")

    //Androidx (Necessary)
    implementation("androidx.appcompat:appcompat:1.1.0")
    implementation("androidx.browser:browser:1.4.0")

    //Vungle
    implementation("com.anythink.sdk:adapter-tpn-vungle:6.3.68")
    implementation("com.vungle:vungle-ads:7.3.2")
    implementation("com.google.android.gms:play-services-basement:18.1.0")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")

    //UnityAds
    implementation("com.anythink.sdk:adapter-tpn-unityads:6.3.68")
    implementation("com.unity3d.ads:unity-ads:4.9.3")

    //Bigo
    implementation("com.anythink.sdk:adapter-tpn-bigo:6.3.68")
    implementation("com.bigossp:bigo-ads:4.7.4")

    //Mintegral
    implementation("com.anythink.sdk:adapter-tpn-mintegral-nonchina:6.3.68")
    implementation("com.mbridge.msdk.oversea:reward:16.7.51")
    implementation("com.mbridge.msdk.oversea:newinterstitial:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbnative:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbnativeadvanced:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbsplash:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbbanner:16.7.51")
    implementation("com.mbridge.msdk.oversea:mbbid:16.7.51")
    implementation("androidx.recyclerview:recyclerview:1.1.0")

    //Tramini
    implementation("com.anythink.sdk:tramini-plugin-tpn:6.3.68")
    //-----------------------------TopOn 聚合


    // Debugger UI Tools
    implementation ("com.anythink.sdk:debugger-ui:1.0.7")




}